Not a Problem

Installation problems with Bizagi Express SQL Express 2008

On first attempt to install Bizagi Express I got a failure at the point the installer was installing SQL Express 2008.

I attempted to get around this by installing SQL Server Express 2008 separately and before attempting the bizagi installation. Eventually I got SQL Server Express 2008 installed. If I look at the Help\About in the version of SQL Server 2008 Express installed i get:

Microsoft SQL Server Management Studio 10.0.1600.22 ((SQL_PreRelease).080709-1414 )

Microsoft Data Access Components (MDAC) 2000.085.1132.00 (xpsp.080413-0852)

Microsoft MSXML 2.6 3.0 4.0 5.0 6.0

Microsoft Internet Explorer 8.0.6001.18702

Microsoft .NET Framework 2.0.50727.3649

Operating System 5.1.2600

Typing select @@version in the SQL window I get:

Microsoft SQL Server 2008 (RTM) - 10.0.1600.22 (Intel X86) Jul 9 2008 14:43:34 Copyright (c) 1988-2008 Microsoft Corporation Express Edition with Advanced Services on Windows NT 5.1 <X86> (Build 2600: Service Pack 3)

Within the SQL Server instance I then set up a fresh database and new administrator level user who owns the new database. Then I re-attempted installation of bizagi:

This is the error message I get:

"SQL Server Version: Sql Server 2008 RTM Express Edition not supported. Please install SQL Server 2008 SP1 or later"

So the bizagi installation of SQL doesn't work - and I cant seem to find a version from microsoft that bizagi will tolerate. Can you help??

photo
0

Dear Ian

Concerning your question you can see all the supported SQLServer versions reviewing our technical requirements section in our online help.

Best regards

Luis Emilio

photo
0

If I am getting this right......

if you do not have a FULL version of MS SQL Server 2008 installed then Bizagi will attempt to install SQL Server EXPRESS 2008 SP3.

In my case Bizagi FAILED to install SQL Server Express 2008 SP3, so I pre-installed SQL Server EXPRESS 2008 SP3 before my second attempt to install Bizagi - which then failed with the error message:'SQL Server Version: Sql Server 2008 RTM Express Edition not supported. Please install SQL Server 2008 SP1 or later'.

Is there a difference between the version of SQL Server EXPRESS 2008 SP3 I have installed and the version Bizagi ATTEMPTED to install?

This issueis preventing us from evaluating Bizagi as a BPMS solution!

Another possible problem is that operating system requirements include Windows 7,8 or Vista. In our organisation we currently use XP. Could this be root source of the problem?

photo
0

Bump

photo
0

Dear Lain

Yours installed version of SQL (Sql Server 2008 RTM Express Edition ) is not supported, we kindly invite you to test the installation in a virtual machine, using the SQL Express that comes whit the Bizagi Xpress installer.

Please let us know if this installation have any issue or it properly works

Best regards

Luis Emilio

photo
0

Dear Iain,

Allow me to clarify on what I believe seems to be the problem at the moment:

1. Indeed Bizagi's installer will present you the possibility to install a SQL Server 2008 SP3 instance if you do not have an already installed supported SQL Server version.

Since it seems that installing the SQL Server 2008 SP3 that comes bundled with the installer has some issues in you machine (it may be related some configuration in your Windows XP system, as you point it out), then it is correct that you choose to install separately a SQL Server instance before installing Bizagi.

2. From your posted detail, it seems that the installed version you chose is a SQL Server 2008 plain RTM instance (SQL version 10.00.1600). Within Bizagi's requirements, you will need to have at least the 2008 Service pack 1 version (SQL version 10.00.2531 or higher).

You may check on this in external links with SQL versions' information, for instance at http://www.sqlteam.com/article/sql-server-versions.

3. To start with your Bizagi evaluation, you may choose for any of these options to:

a. Install separately a SQL Server 2008, which is Service pack 1 or a higher release.

b. If attempting the solution mentioned above, seems to still show up installation issues in your operating system, you may choose to install a SQL Server 2005 SP2 instead (which is likely to be more suitable for an XP system).You may check the supported versions by Bizagi at http://help.bizagi.com/bpmsuite/en/index.html?sql_server_configuration.htm, in which you may notice that SQL Server 2005 is supported and it needs to be the Service pack 2 release or higher.

c. For any of the above, you may also choose to consider having the SQL Server instance on a separate machine. Notice that the Database does not need to be installed locally on the same machine where you install Bizagi. You only require that Bizagi has network access to the Database instance.

NB= All SQL Server editions are supported, including the Express editions which are free of charge. For evaluation purposes, you may download any of the above from Microsoft's web sites.

Best regards,